using System;

namespace AIProofread
{
    public class DocumentText
    {
        public string Hash { get; set; }
        public string Text { get; set; }
        public int ParagraphNumber { get; set; }

        public DocumentText() { }
        public DocumentText(string text, int paragraphNumber)
        {
            this.Text = text;
            this.ParagraphNumber = paragraphNumber;
        }
        public DocumentText(byte[] hash, string text)
        {
            this.Hash = BitConverter.ToString(hash).ToLower().Replace("-", "");
            this.Text = text;
        }
        public DocumentText(byte[] hash, string text, int paragraphNumber)
        {
            this.Hash = BitConverter.ToString(hash).ToLower().Replace("-", "");
            this.Text = text;
            this.ParagraphNumber = paragraphNumber;
        }
    }
}
